HomeGuidesAPI ReferenceChangelogPOS PaymentsOnline Payments
Home
API Reference

Cancel an authorization

Cancel an existing Riverty transaction. The transactionId parameter must be the ID of the transaction to be cancelled.

Important: A transaction cannot be cancelled if it has already been partially or fully captured. Cancellation is only possible for authorized transactions that have not yet been captured.

Leaving the amount field empty will cancel the full amount of the transaction. If an amount is specified, it must be a positive value and not exceed the remaining uncancelled amount of the transaction.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required
length between 36 and 36

ID received in the POST transaction response root object, which can be used in up following calls like refunds or cancellations as transactionId.

Body Params
integer
required
1 to 99999999

Total gross amount of order in the smallest currency subunit, as for example euro cents (including taxes and fees).

This is the amount that will be charged to the consumer.

The validation will fail if: amount ≠ Σ(unitPrice × quantity)

integer
required
1 to 99999999

Total net amount of order in the smallest currency subunit, as for example euro cents (excluding taxes and fees).

The validation will fail if: netAmount ≠ Σ(netUnitPrice × quantity)

items
array of objects
length between 1 and 500

List of items to be cancelled. Mandatory for partial cancellations. If not provided, the full order will be cancelled. If provided, the total amount of all items must match the amount in the cancel request.

items
string
required
length between 1 and 50

Merchant Product identification. Each item code must be unique per transaction.

string
required
length ≤ 255

Description of the underlying value or reason of the payment.

integer
required
1 to 99999999

Unit price (including VAT) of the item, specified in the smallest currency subunit, as for example euro cents.

integer
required
1 to 1000000000

The number of items of this type.

integer
required
1 to 99999999

Total VAT amount of the orderline, specified in the smallest currency subunit as for example euro cents.

number
required
0 to 99.9

Percentage of VAT applied.
Only the first decimal value will be taken into account, the rest will be ignored.

integer
required
1 to 99999999

Price per unit in cents (excluding vat)

url

URL for the product image, will be used as a thumbnail in Riverty on the invoice line. Must be rectangular or square with a width between 100-1280 pixels. Supported formats, gif, jpeg(jpg), png, webp

url

URL to the product page

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json